<template>
	<view class="copyright" :style="{'background':cop.backgroundColor}" @click="clickHandler">
		<image :src="cop.picUrl" mode="widthFix" style=" width: 160rpx;height:50rpx;display: block;margin: 0 auto;margin-bottom: 12rpx;" />
		<text>{{cop.text}}</text>
	</view>
</template>

<script>
	export default {
		props: ["cop"],
		methods: {
			clickHandler() {
				if (this.cop.url && this.cop.url != "") {
					uni.navigateTo({
						url: this.cop.url
					});
				}
			}
		}
	};
</script>

<style>
	.copyright {
		text-align: center;
		padding: 15px;
		font-size: 13px;
	}
</style>
